Get Tenant Documents
curl --request GET \
--url https://api.skortorent.com/api/v1/tenants/get-documents/{tenantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skortorent.com/api/v1/tenants/get-documents/{tenantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skortorent.com/api/v1/tenants/get-documents/{tenantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"data": [
{
"id": "<string>",
"tenant_id": "<string>",
"file_name": "<string>",
"type": "<string>",
"verified": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Tenants
Get Tenant Documents
Fetch all documents uploaded by a tenant.
The API returns only file_name. To download a document, construct the URL as: https://skorcdn.blob.core.windows.net/uploads/{file_name}
GET
/
tenants
/
get-documents
/
{tenantId}
Get Tenant Documents
Authorizations
HTTP Bearer Authentication. Pass the token generated via
/keys/generate-token as Authorization: Bearer <token>.
Path Parameters
⌘I